mysql_stmt_errno(3)

  Name
mysql_stmt_errno - Returns error code for the last statement error

  Synopsis

        #include <mysql.h>

        unsigned int mysql_stmt_errno(MYSQL_STMT * stmt);

  Description
Returns the error code for the most recently invoked statement function that can succeed or fail.

  Parameter

•   stmt - a statement handle, which was previously allocated by mysql_stmt_init(3).

  Return value
Returns error code. A zero value means that no error occurred.

  Notes

•   Client error messages are listed in errmsg.h header file, server error messages are listed in mysqld_error.h header file of the server source distribution.

  See Also

•   mysql_stmt_error(3),

•   mysql_stmt_sqlstate(3)